@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body{
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
	background-size: 400% 400%;
	animation: gradient 15s ease infinite;
	height: 100vh;
  font-family: 'Roboto Slab', serif;
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

main {
  width: 500px;
  height: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  height: 100vh;
}

main h1 {
  margin-bottom: 15px;
  font-size: 75px;
  border: solid 1px rgba(0, 0, 0, 0.295);
  box-shadow: 0px 10px 10px rgba(0, 0, 0, 0.589);
  color: white;
  background-color: rgba(0, 0, 0, 0.50);
  border-radius: 10px;
  text-align: center;
  padding: 50px 0;
  width: 450px;
  font-family: 'Lobster', cursive;
}

main div #rgb-color{
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 15px;
}

main #score-box{
  display: flex;
  padding-top: 15px;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  margin-bottom: 15px;
  border: solid 1px rgba(0, 0, 0, 0.295);
  box-shadow: 0px 10px 10px rgba(0, 0, 0, 0.589);
  background-color: rgba(0, 0, 0, 0.50);
  color: white;
  border-radius: 10px;
  width: 450px;
}

main #score-box #score{
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 15px;
  padding: 20px;
}

#results{
  display: flex;
  flex-direction: column;
  text-align: center;
  width: 450px;
  border: solid 1px rgba(0, 0, 0, 0.295);
  box-shadow: 0px 10px 10px rgba(0, 0, 0, 0.589);
  background-color: rgba(0, 0, 0, 0.50);
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 32px;
  padding-top: 2rem;
  border-radius: 10px;
}

main #answer{
  color: white;
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 32px;
}

main #reset-game{
  padding: 20px;
  border-radius: 10px;
  margin: 0 auto;
  width: 200px;
  margin-bottom: 2rem;
  background-color: #00ff00;
  font-weight: bold;
  font-size: 20px;
}

main #reset-game:hover{
  background-color: green;
  color: white;
  cursor: pointer;
}

.ball {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: solid 1px black;
    display: inline-block;
    margin-left: 10px;
    margin-bottom: 3rem;
  }
  